Ginkgo: gko::solver::UpperTrs< ValueType, IndexType >::parameters_type Struct Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::solver::UpperTrs< ValueType, IndexType >::parameters_type Struct Reference
Inheritance diagram for gko::solver::UpperTrs< ValueType, IndexType >::parameters_type:
[legend]
Collaboration diagram for gko::solver::UpperTrs< ValueType, IndexType >::parameters_type:
[legend]

## Public Member Functions
template<typename... Args>
auto | with_num_rhs (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_unit_diagonal (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
template<typename... Args>
auto | with_algorithm (Args &&... _value) -> std::decay_t< decltype(*(this->self()))> &
Public Member Functions inherited from gko::enable_parameters_type< parameters_type, Factory >
parameters_type & | with_loggers (Args &&... _value)
| Provides the loggers to be added to the factory and its generated objects in a fluent interface.
std::unique_ptr< Factory > | on (std::shared_ptr< const Executor > exec) const
| Creates a new factory on the specified executor.

## Public Attributes
gko::size_type | num_rhs {1u}
| Number of right hand sides.
bool | unit_diagonal {false}
| Should the solver use the values on the diagonal of the system matrix (false) or should it assume they are 1.0 (true)?
trisolve_algorithm | algorithm {trisolve_algorithm::sparselib}
| Select the implementation which is supposed to be used for the triangular solver.

## Additional Inherited Members
Public Types inherited from gko::enable_parameters_type< parameters_type, Factory >
using | factory

## Member Data Documentation

## ◆ algorithm

template<typename ValueType = default_precision, typename IndexType = int32>

trisolve_algorithm gko::solver::UpperTrs< ValueType, IndexType >::parameters_type::algorithm {trisolve_algorithm::sparselib}

Select the implementation which is supposed to be used for the triangular solver.

This only matters for the Cuda executor where the choice is between the Ginkgo (syncfree) and the cuSPARSE (sparselib) implementation. Default is sparselib.

## ◆ num_rhs

template<typename ValueType = default_precision, typename IndexType = int32>

gko::size_type gko::solver::UpperTrs< ValueType, IndexType >::parameters_type::num_rhs {1u}

Number of right hand sides.

Note
  This value is currently only required for the CUDA trisolve_algorithm::sparselib algorithm.

The documentation for this struct was generated from the following file:

- ginkgo/core/solver/triangular.hpp